## batctl 0.2

=== Makefile ===
#
# Copyright (C) 2006-2009 BATMAN contributors
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA
#

ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC = @echo '   ' CC $@;
	Q_LD = @echo '   ' LD $@;
	export Q_CC
	export Q_LD
endif
endif

CC = gcc
CFLAGS += -pedantic -Wall -W -g3 -std=gnu99
EXTRA_CFLAGS = -DREVISION_VERSION=$(REVISION_VERSION)
LDFLAGS +=

SBINDIR = $(INSTALL_PREFIX)/usr/sbin

LOG_BRANCH = trunk/batctl

SRC_FILES = "\(\.c\)\|\(\.h\)\|\(Makefile\)\|\(INSTALL\)\|\(LIESMICH\)\|\(README\)\|\(THANKS\)\|\(TRASH\)\|\(Doxyfile\)\|\(./posix\)\|\(./linux\)\|\(./bsd\)\|\(./man\)\|\(./doc\)"

EXTRA_MODULES_C := bisect.c
EXTRA_MODULES_H := bisect.h

SRC_C = main.c bat-hosts.c functions.c proc.c ping.c traceroute.c tcpdump.c list-batman.c hash.c $(EXTRA_MODULES_C)
SRC_H = main.h bat-hosts.h functions.h proc.h ping.h traceroute.h tcpdump.h list-batman.h hash.h allocate.h $(EXTRA_MODULES_H)
SRC_O = $(SRC_C:.c=.o)

PACKAGE_NAME = batctl
BINARY_NAME = batctl
SOURCE_VERSION_HEADER = main.h

REVISION = $(shell if [ -d .svn ]; then \
					if which svn > /dev/null; then \
						svn info | grep "Rev:" | sed -e '1p' -n | awk '{print $$4}'; \
					else \
						echo "[unknown]"; \
					fi ; \
				else \
					if [ -d ~/.svk ]; then \
						if which svk > /dev/null; then \
							echo $$(svk info | grep "Mirrored From" | awk '{print $$5}'); \
						else \
							echo "[unknown]"; \
						fi; \
					fi; \
				fi)

REVISION_VERSION =\"\ rv$(REVISION)\"

BAT_VERSION = $(shell grep "^\#define SOURCE_VERSION " $(SOURCE_VERSION_HEADER) | sed -e '1p' -n | awk -F '"' '{print $$2}' | awk '{print $$1}')
FILE_NAME = $(PACKAGE_NAME)_$(BAT_VERSION)-rv$(REVISION)_$@
NUM_CPUS = $(shell NUM_CPUS=`cat /proc/cpuinfo | grep -v 'model name' | grep processor | tail -1 | awk -F' ' '{print $$3}'`;echo `expr $$NUM_CPUS + 1`)


all:
	$(MAKE) -j $(NUM_CPUS) $(BINARY_NAME)

$(BINARY_NAME): $(SRC_O) $(SRC_H) Makefile
	$(Q_LD)$(CC) -o $@ $(SRC_O) $(LDFLAGS)

.c.o:
	$(Q_CC)$(CC) $(CFLAGS) $(EXTRA_CFLAGS) -MD -c $< -o $@
-include $(SRC_C:.c=.d)

sources:
	mkdir -p $(FILE_NAME)

	for i in $$( find . | grep $(SRC_FILES) | grep -v "\.svn" ); do [ -d $$i ] && mkdir -p $(FILE_NAME)/$$i ; [ -f $$i ] && cp -Lvp $$i $(FILE_NAME)/$$i ;done

	wget -O changelog.html  http://www.open-mesh.net/log/$(LOG_BRANCH)/
	html2text -o changelog.txt -nobs -ascii changelog.html
	awk '/View revision/,/10\/01\/06 20:23:03/' changelog.txt > $(FILE_NAME)/CHANGELOG

	for i in $$( find man |	grep -v "\.svn" ); do [ -f $$i ] && groff -man -Thtml $$i > $(FILE_NAME)/$$i.html ;done

	tar czvf $(FILE_NAME).tgz $(FILE_NAME)

clean:
	rm -f $(BINARY_NAME) *.o *.d

clean-long:
	rm -rf $(PACKAGE_NAME)_*

install:
	mkdir -p $(SBINDIR)
	install -m 0755 $(BINARY_NAME) $(SBINDIR)

=== debian/changelog ===
batctl (0.2-1) unstable; urgency=low

  * New Upstream Version
  * Convert to 3.0 (quilt) source format
  * Change current upstream maintainer to Marek Lindner
  * debian/control:
    - Remove shlibs:Depends for binary packages without shared libs dependencies
    - Rewrote descriptions for batctl with new features
    - Remove cdbs and change debhelper dependency to 7 for for dh support
    - Remove batman-adv-battool transitional due to conflict with same package
      in unstable
  * Rewrote debian/rules with dh

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 08 Nov 2009 18:15:04 +0100

batctl (0.2~beta~svn1445-1) experimental; urgency=low

  * New Upstream Snapshot

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 20 Oct 2009 20:02:00 +0200

batctl (0.2~beta~svn1431-1) experimental; urgency=low

  * New Upstream Snapshot
  * Upgraded to policy 3.8.3, no changes required
  * Add README.source with informations about patch management
  * Remove unused lintian overrides

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 13 Sep 2009 00:46:50 +0200

batctl (0.2~beta~svn1366-1) experimental; urgency=low

  * New Upstream Snapshot

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Thu, 06 Aug 2009 19:13:31 +0200

batctl (0.2~beta~svn1318-1) experimental; urgency=low

  * New Upstream Snapshot (Closes: #534179)
  * Rename binary package batman-adv-kernelland to batctl
  * debian/control:
    - Rename source from battool to new new upstream name batctl
    - Add new transitional package batman-adv-battool
    - Depend on cdbs >= 0.4.52 for DEB_DH_GENCONTROL_ARGS_*
  * Install bat-hosts.sample as example configuration
  * Override lintian warning latest-debian-changelog-entry-without-new-version
    due to changed binary and source name, but kept debian/changelog

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 23 Jun 2009 11:04:24 +0200

battool (1:0.1~beta+svn1236-4) unstable; urgency=low

  * Recommend either batman-adv-dkms or batman-adv-modules for
    batman-adv-battool in debian/control

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 20 Oct 2009 19:56:16 +0200

battool (1:0.1~beta+svn1236-3) unstable; urgency=low

  * Upgraded to policy 3.8.3, no changes required
  * Add README.source with informations about patch management

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Thu, 15 Oct 2009 18:50:03 +0200

battool (1:0.1~beta+svn1236-2) unstable; urgency=low

  * Reduce debhelper dependency to 5
  * Convert debian/copyright to new dep5 version
  * Upgraded to policy 3.8.2, no changes required
  * Add get-orig-source target to retrieve source in debian/rules
  * Add debian/get-orig-source.sh to get source from svn or via uscan

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 21 Jun 2009 18:54:11 +0200

battool (1:0.1~beta+svn1236-1) unstable; urgency=low

  * Update to upstream revision 1236
  * Rewrote debian/rules using cdbs
  * debian/control:
    - Move Vcs-* to git.debian.org
    - Add package batman-adv-battool-dbg with debug symbols
    - Upgraded to policy 3.8.1, no changes required
    - Allow Debian Maintainers to upload new versions of battool

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Wed, 06 May 2009 13:08:36 +0200

battool (1:0.1~beta+svn1193-1) unstable; urgency=low

  * Update to upstream revision 1193
  * Correct URL in watch file to match newer releases
  * debian/rules: Use CFLAGS from dpkg-buildpackage
  * debian/copyright: Update copyright years

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 20 Jan 2009 00:17:50 +0100

battool (1:0.1~beta+svn1158-2) unstable; urgency=low

  * Correct description of battool in debian/README.Debian
  * Recommend batman-adv-modules and suggest batman-adv-source

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 11 Jan 2009 14:08:08 +0100

battool (1:0.1~beta+svn1158-1) unstable; urgency=low

  * Split batman-adv source package in batman-adv-kernelland and battool
    to match with upstream released tar.gz
  * debian/rules:
    - Use dh_clean to remove *-stamp files
    - Use dh_installman to install manpages
    - Replace dh_clean -k with dh_prep
  * Change upstream url to http://www.open-mesh.net/

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Fri, 02 Jan 2009 14:20:44 +0100

batman-adv (0.1-1) unstable; urgency=low

  * New upstream release
  * Install upstream changelog for batman-adv-source

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 28 Dec 2008 12:37:37 +0100

batman-adv (0.1~beta+svn1154-1) unstable; urgency=low

  * Support changed directory layout in upstream
  * Correct name of battool package in debian/Readme.DEBIAN
  * Fix installation of the renamed kernel module
  * Replace batman-adv@packages.debian.org maintainer with first Uploader in
    debian/control

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Mon, 17 Nov 2008 11:28:35 +0100

batman-adv (0.1~beta+svn1141-1) unstable; urgency=low

  * Update to upstream revision 1141
  * debian/copyright:
    - Add Andreas Langer who has also copyright to battool/*
    - Set copyright of debian/* to Simon Wunderlich and myself

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 26 Oct 2008 09:42:25 +0100

batman-adv (0.1~beta+svn1105-3) unstable; urgency=low

  * reuse orig.tar.gz from 0.1~beta+svn1105-1 release

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sun, 14 Sep 2008 14:24:34 +0200

batman-adv (0.1~beta+svn1105-2) unstable; urgency=low

  * remove useless dh_install* and dh_shlibdeps -i from rules
  * move maintainer to uploaders field in control for multiple maintainers
  * add debian watch file for uscan/dehs

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sat, 13 Sep 2008 01:19:11 +0200

batman-adv (0.1~beta+svn1105-1) unstable; urgency=low

  * update to upstream revision 1105 (various fixes)

 -- Simon Wunderlich <siwu@hrz.tu-chemnitz.de>  Mon, 11 Aug 2008 14:04:34 +0200

batman-adv (0.1~beta+svn1092-1) unstable; urgency=low

  [ Sven Eckelmann ]
  * clean up orig (some paths were only included for symlinked files)
  * remove dpatch prebuild dependency 


=== debian/control ===
Source: batctl
Section: net
Priority: extra
Maintainer: Simon Wunderlich <siwu@hrz.tu-chemnitz.de>
Uploaders: Sven Eckelmann <sven.eckelmann@gmx.de>
Dm-Upload-Allowed: yes
Homepage: http://www.open-mesh.net/
Standards-Version: 3.8.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/batctl.git
Vcs-Git: git://git.debian.org/git/collab-maint/batctl.git
Build-Depends: debhelper (>= 7.0.50)

Package: batctl
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: batman-adv-dkms | batman-adv-modules
Suggests: batman-adv-source
Description: B.A.T.M.A.N. advanced control and management tool
 This package contains batctl, which serves as configuration utility,
 monitoring and debugging application. It allows to modify the module
 parameters, reading the logfiles and tables, decapsulate embedded packets on
 the fly, traceroute to and ping mac addresses, generate sequence number graphs
 for the Layer 2 Mesh B.A.T.M.A.N.
 .
 B.A.T.M.A.N. (better approach to mobile ad-hoc networking) is a new routing
 protocol for multi-hop ad-hoc mesh networks. B.A.T.M.A.N.-advanced is the
 implementation of this protocol on ISO/OSI Layer 2, allowing mesh networks to
 be used as a virtual switch. With this approach, LANs and WANs can be easily
 integrated, and more protocols (like DHCP, IPv6) are supported.

Package: batctl-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends},
 batctl (= ${binary:Version})
Description: B.A.T.M.A.N. advanced control and management tool (debug files)
 batctl serves as configuration utility, monitoring and debugging application.
 It allows to modify the module parameters, reading the logfiles and tables,
 decapsulate embedded packets on the fly, traceroute to and ping mac addresses,
 generate sequence number graphs for the Layer 2 Mesh B.A.T.M.A.N.
 .
 This package contains the debug files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

get-orig-source:
	$(CURDIR)/debian/get-orig-source.sh

override_dh_auto_install:
	$(MAKE) install INSTALL_PREFIX=$(CURDIR)/debian/tmp

override_dh_strip:
	dh_strip -a --dbg-package=batctl-dbg

.PHONY: get-orig-source

## batctl 2010.0.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2006-2009 BATMAN contributors
+# Copyright (C) 2006-2010 BATMAN contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public
@@ -26,9 +26,9 @@
 endif
 
 CC = gcc
-CFLAGS += -pedantic -Wall -W -g3 -std=gnu99
+CFLAGS += -pedantic -Wall -W -g3 -std=gnu99 -Os -fno-strict-aliasing
 EXTRA_CFLAGS = -DREVISION_VERSION=$(REVISION_VERSION)
-LDFLAGS +=
+LDFLAGS += -lm
 
 SBINDIR = $(INSTALL_PREFIX)/usr/sbin
 
@@ -39,8 +39,8 @@
 EXTRA_MODULES_C := bisect.c
 EXTRA_MODULES_H := bisect.h
 
-SRC_C = main.c bat-hosts.c functions.c proc.c ping.c traceroute.c tcpdump.c list-batman.c hash.c $(EXTRA_MODULES_C)
-SRC_H = main.h bat-hosts.h functions.h proc.h ping.h traceroute.h tcpdump.h list-batman.h hash.h allocate.h $(EXTRA_MODULES_H)
+SRC_C = main.c bat-hosts.c functions.c sys.c ping.c traceroute.c tcpdump.c list-batman.c hash.c vis.c $(EXTRA_MODULES_C)
+SRC_H = main.h bat-hosts.h functions.h sys.h ping.h traceroute.h tcpdump.h list-batman.h hash.h allocate.h vis.h $(EXTRA_MODULES_H)
 SRC_O = $(SRC_C:.c=.o)
 
 PACKAGE_NAME = batctl

=== debian/changelog ===
batctl (2010.0.0-2) unstable; urgency=low

  * Upgraded to policy 3.9.0, no changes required
  * Only build on linux-any due to linux dependencies of batman-adv

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 29 Jun 2010 22:22:28 +0200

batctl (2010.0.0-1) unstable; urgency=low

  * New Upstream Version

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Sat, 19 Jun 2010 00:11:11 +0200

batctl (0.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Updated debian/copyright
  * debian/rules:
    - Enable parallel builds using dh's --parallel
    - Inform about missing installed files using dh's --list-missing

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Tue, 23 Mar 2010 00:35:51 +0100

batctl (0.2-2) unstable; urgency=low

  * Correct spelling errors found by lintian
  * debian/copyright: Update copyright years
  * Upgraded to policy 3.8.4, no changes required
  * Remove outdated README.source
  * Don't list removed transitional packages in README.Debian
  * Call dh_auto_install with needed parameters in debian/rules

 -- Sven Eckelmann <sven.eckelmann@gmx.de>  Mon, 01 Mar 2010 13:53:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Sven Eckelmann <sven.eckelmann@gmx.de>
 Dm-Upload-Allowed: yes
 Homepage: http://www.open-mesh.net/
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 Vcs-Browser: http://git.debian.org/?p=collab-maint/batctl.git
 Vcs-Git: git://git.debian.org/git/collab-maint/batctl.git
-Build-Depends: debhelper (>= 7.0.50)
+Build-Depends: debhelper (>= 7.4.10)
 
 Package: batctl
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: batman-adv-dkms | batman-adv-modules
@@ -31,7 +31,7 @@
 
 Package: batctl-dbg
 Section: debug
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends},
  batctl (= ${binary:Version})
 Description: B.A.T.M.A.N. advanced control and management tool (debug files)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --list-missing

get-orig-source:
	$(CURDIR)/debian/get-orig-source.sh

override_dh_auto_install:
	dh_auto_install -- INSTALL_PREFIX="$(CURDIR)/debian/tmp"

override_dh_strip:
	dh_strip -a --dbg-package=batctl-dbg

.PHONY: get-orig-source

=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta|rc)/~$1/" \
 http://downloads.open-mesh.net/batman/stable/sources/batctl/batctl-(.*).tar.gz

## batctl 2011.1.0

=== debian/changelog ===
batctl (2011.1.0-2) unstable; urgency=low

  * Upgraded to policy 3.9.2, no changes required
  * debian/control:
    - Remove Recommends of obsolete package batman-adv-dkms
    - Remove Suggests of obsolete package batman-adv-source

 -- Sven Eckelmann <sven@narfation.org>  Fri, 20 May 2011 14:52:07 +0200

batctl (2011.1.0-1) unstable; urgency=low

  * New Upstream Version
  * debian/patches:
    - Remove upstream merged patch decapsulate_monitor.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 17 Apr 2011 19:48:52 +0200

batctl (2011.0.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/patches:
    - Add decapsulate_monitor.patch, Remove extra headers of frames from monitor
      devices

 -- Sven Eckelmann <sven@narfation.org>  Sun, 06 Feb 2011 11:23:57 +0100

batctl (2011.0.0-1) experimental; urgency=low

  * New Upstream Version
  * Keep dependencies on separate lines in debian/control
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Sat, 29 Jan 2011 22:58:29 +0100

batctl (2010.2.0+83+g927399e-1) experimental; urgency=low

  * New Upstream Snapshot from 927399e7d54686679f4205241bdc4107b7559a93
  * Updated my maintainer e-mail address

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Dec 2010 10:57:03 +0100

batctl (2010.2.0+79+g8262d6d-1) experimental; urgency=low

  * New Upstream Snapshot from 8262d6dbfb548524563efec6d5b155907d5367e4

 -- Sven Eckelmann <sven@narfation.org>  Sun, 21 Nov 2010 22:38:47 +0100

batctl (2010.2.0-1) experimental; urgency=low

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sun, 21 Nov 2010 22:34:56 +0100

batctl (2010.1.0+9+g68875a5-1) experimental; urgency=low

  * New Upstream Snapshot from 68875a5f3a8d9cf236c450ddd91c8baa56d8e657
  * Upgrade debhelper compat to v8
  * debian/rules:
    - set *FLAGS using dpkg-buildflags in debian/rules to work like
      dpkg-buildpackage when called directly
    - Use hardening-includes for CFLAGS and LDFLAGS hardened builds
    - Show build commands when compiling
    - Save debian version as version string for batctl
  * Change upstream domain to open-mesh.org

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:04:24 +0200

batctl (2010.1.0+6+g9bab711-1) experimental; urgency=low

  * New Upstream Snapshot from 9bab711ac9412554196cfa93fcf146272ad0b14a

 -- Sven Eckelmann <sven@narfation.org>  Sat, 04 Sep 2010 15:57:32 +0200

batctl (2010.1.0-1) experimental; urgency=low

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sat, 04 Sep 2010 15:53:37 +0200

batctl (2010.1.0~23+g40fe3f1-1) experimental; urgency=low

  * New Upstream Snapshot from 40fe3f144d263a0b392a7f1fbb3055a8dd233fd2
  * Upgraded to policy 3.9.1, no changes required
  * Change get-orig-source.sh to support versions from next branch
  * Don't recommend virtual package batman-adv-modules which isn't provided
    anymore

 -- Sven Eckelmann <sven@narfation.org>  Thu, 02 Sep 2010 22:39:45 +0200

batctl (2010.0.0+svn1682-1) experimental; urgency=low

  * New Upstream Snapshot

 -- Sven Eckelmann <sven@narfation.org>  Sat, 19 Jun 2010 00:26:58 +0200

batctl (0.3.0~alpha~svn1680-1) experimental; urgency=low

  * New Upstream Snapshot
  * Update debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Wed, 02 Jun 2010 12:07:20 +0200

batctl (0.3.0~alpha~svn1625-1) experimental; urgency=low

  * New Upstream Snapshot

 -- Sven Eckelmann <sven@narfation.org>  Thu, 29 Apr 2010 11:02:26 +0200

batctl (0.3.0~alpha~svn1610-1) experimental; urgency=low

  * New Upstream Snapshot

 -- Sven Eckelmann <sven@narfation.org>  Tue, 23 Mar 2010 00:56:05 +0100

batctl (0.3.0~alpha~svn1575-1) experimental; urgency=low

  * New Upstream Snapshot

 -- Sven Eckelmann <sven@narfation.org>  Mon, 01 Mar 2010 14:05:34 +0100

=== debian/control ===
Source: batctl
Section: net
Priority: extra
Maintainer: Simon Wunderlich <siwu@hrz.tu-chemnitz.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
Dm-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://www.open-mesh.org/
Vcs-Git: git://git.debian.org/git/collab-maint/batctl.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/batctl.git
Build-Depends:
 debhelper (>= 8.0.0),
 hardening-includes,

Package: batctl
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: B.A.T.M.A.N. advanced control and management tool
 This package contains batctl, which serves as configuration utility,
 monitoring and debugging application. It allows one to modify the module
 parameters, reading the logfiles and tables, decapsulate embedded packets on
 the fly, traceroute to and ping mac addresses, generate sequence number graphs
 for the Layer 2 Mesh B.A.T.M.A.N.
 .
 B.A.T.M.A.N. (better approach to mobile ad-hoc networking) is a new routing
 protocol for multi-hop ad-hoc mesh networks. B.A.T.M.A.N.-advanced is the
 implementation of this protocol on ISO/OSI Layer 2, allowing mesh networks to
 be used as a virtual switch. With this approach, LANs and WANs can be easily
 integrated, and more protocols (like DHCP, IPv6) are supported.

Package: batctl-dbg
Section: debug
Architecture: linux-any
Depends:
 ${misc:Depends},
 batctl (= ${binary:Version}),
Description: B.A.T.M.A.N. advanced control and management tool (debug files)
 batctl serves as configuration utility, monitoring and debugging application.
 It allows one to modify the module parameters, reading the logfiles and tables,
 decapsulate embedded packets on the fly, traceroute to and ping mac addresses,
 generate sequence number graphs for the Layer 2 Mesh B.A.T.M.A.N.
 .
 This package contains the debug files.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,27 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
+export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
+export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+
+include /usr/share/hardening-includes/hardening.make
+CFLAGS += $(HARDENING_CFLAGS)
+CXXFLAGS += $(HARDENING_CFLAGS)
+LDFLAGS += $(HARDENING_LDFLAGS)
+
+REVISION=$(shell dpkg-parsechangelog|grep '^Version: '|sed 's/^Version:\s*//')
+MAKEOPTIONS = V="1" REVISION="debian-$(REVISION)"
 
 %:
 	dh $@ --parallel --list-missing
 
 get-orig-source:
 	$(CURDIR)/debian/get-orig-source.sh
+
+override_dh_auto_build:
+	dh_auto_build -- all $(MAKEOPTIONS)
 
 override_dh_auto_install:
 	dh_auto_install -- INSTALL_PREFIX="$(CURDIR)/debian/tmp"

## batctl 2011.2.0

=== Makefile ===
#
# Copyright (C) 2006-2011 B.A.T.M.A.N. contributors
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA
#

ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC = @echo '   ' CC $@;
	Q_LD = @echo '   ' LD $@;
	export Q_CC
	export Q_LD
endif
endif

CC = gcc
CFLAGS += -pedantic -Wall -W -g3 -std=gnu99 -Os -fno-strict-aliasing
EXTRA_CFLAGS = -DREVISION_VERSION=$(REVISION_VERSION)
LDFLAGS += -lm

SBINDIR = $(INSTALL_PREFIX)/usr/sbin

LOG_BRANCH = trunk/batctl

SRC_FILES = "\(\.c\)\|\(\.h\)\|\(Makefile\)\|\(INSTALL\)\|\(LIESMICH\)\|\(README\)\|\(THANKS\)\|\(TRASH\)\|\(Doxyfile\)\|\(./posix\)\|\(./linux\)\|\(./bsd\)\|\(./man\)\|\(./doc\)"

EXTRA_MODULES_C := bisect.c
EXTRA_MODULES_H := bisect.h

SRC_C = main.c bat-hosts.c functions.c sys.c debug.c ping.c traceroute.c tcpdump.c list-batman.c hash.c vis.c debugfs.c $(EXTRA_MODULES_C)
SRC_H = main.h bat-hosts.h functions.h sys.h debug.h ping.h traceroute.h tcpdump.h list-batman.h hash.h allocate.h vis.h debugfs.h $(EXTRA_MODULES_H)
SRC_O = $(SRC_C:.c=.o)

PACKAGE_NAME = batctl
BINARY_NAME = batctl
SOURCE_VERSION_HEADER = main.h

REVISION= $(shell	if [ -d .git ]; then \
				echo $$(git describe --always --dirty 2> /dev/null || echo "[unknown]"); \
			fi)

REVISION_VERSION =\"\ $(REVISION)\"

NUM_CPUS = $(shell nproc 2> /dev/null || echo 1)

all:
	$(MAKE) -j $(NUM_CPUS) $(BINARY_NAME)

$(BINARY_NAME): $(SRC_O) $(SRC_H) Makefile
	$(Q_LD)$(CC) -o $@ $(SRC_O) $(LDFLAGS)

.c.o:
	$(Q_CC)$(CC) $(CFLAGS) $(EXTRA_CFLAGS) -MD -c $< -o $@
-include $(SRC_C:.c=.d)

clean:
	rm -f $(BINARY_NAME) *.o *.d

install:
	mkdir -p $(SBINDIR)
	install -m 0755 $(BINARY_NAME) $(SBINDIR)

=== debian/changelog ===
batctl (2011.2.0-2) unstable; urgency=low

  * Upload to unstable for Linux 3.0
  * Mark all targets in debian/rules as phony

 -- Sven Eckelmann <sven@narfation.org>  Sun, 24 Jul 2011 15:01:57 +0200

batctl (2011.2.0-1) experimental; urgency=low

  * New Upstream Version
  * Update Vcs-* fields to new anonscm.debian.org URLs in debian/control

 -- Sven Eckelmann <sven@narfation.org>  Sun, 19 Jun 2011 21:51:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 REVISION=$(shell dpkg-parsechangelog|grep '^Version: '|sed 's/^Version:\s*//')
 MAKEOPTIONS = V="1" REVISION="debian-$(REVISION)"
 
-%:
+binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep %:
 	dh $@ --parallel --list-missing
 
 get-orig-source:
@@ -29,4 +29,5 @@
 override_dh_strip:
 	dh_strip -a --dbg-package=batctl-dbg
 
-.PHONY: get-orig-source
+.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
+	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_strip

## batctl 2011.3.0

=== debian/changelog ===
batctl (2011.3.0-2) experimental; urgency=low

  * Don't mix implicit and explicit rules to prevent FTBFS with make 3.82

 -- Sven Eckelmann <sven@narfation.org>  Sun, 21 Aug 2011 17:40:30 +0200

batctl (2011.3.0-1) experimental; urgency=low

  * New Upstream Version
  * Override new PREFIX install variable with /usr in debian/rules
  * Don't install manpage twice using debian/batctl.manpages

 -- Sven Eckelmann <sven@narfation.org>  Sun, 21 Aug 2011 16:37:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Dm-Upload-Allowed: yes
 Standards-Version: 3.9.2
 Homepage: http://www.open-mesh.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/batctl.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/batctl.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/batctl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/batctl.git
 Build-Depends:
  debhelper (>= 8.0.0),
  hardening-includes,

=== debian/rules ===
--- 
+++ 
@@ -12,19 +12,19 @@
 LDFLAGS += $(HARDENING_LDFLAGS)
 
 REVISION=$(shell dpkg-parsechangelog|grep '^Version: '|sed 's/^Version:\s*//')
-MAKEOPTIONS = V="1" REVISION="debian-$(REVISION)"
+MAKEOPTIONS = V="1" REVISION="debian-$(REVISION)" PREFIX="/usr"
 
-binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep %:
+binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
 	dh $@ --parallel --list-missing
 
 get-orig-source:
 	$(CURDIR)/debian/get-orig-source.sh
 
 override_dh_auto_build:
-	dh_auto_build -- all $(MAKEOPTIONS)
+	dh_auto_build -- $(MAKEOPTIONS)
 
 override_dh_auto_install:
-	dh_auto_install -- INSTALL_PREFIX="$(CURDIR)/debian/tmp"
+	dh_auto_install -- $(MAKEOPTIONS)
 
 override_dh_strip:
 	dh_strip -a --dbg-package=batctl-dbg

=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta|rc)/~$1/" \
 http://downloads.open-mesh.org/batman/stable/sources/batctl/batctl-(.*).tar.gz

## batctl 2011.4.0

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Copyright (C) 2006-2011 B.A.T.M.A.N. contributors
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of version 2 of the GNU General Public
# License as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA
#

# batctl build
BINARY_NAME = batctl
OBJ = main.o bat-hosts.o functions.o sys.o debug.o ping.o traceroute.o tcpdump.o list-batman.o hash.o vis.o debugfs.o bisect.o
MANPAGE = man/batctl.8

# batctl flags and options
CFLAGS += -pedantic -Wall -W -std=gnu99 -fno-strict-aliasing -MD
LDLIBS += -lm

# disable verbose output
ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
	Q_CC = @echo '   ' CC $@;
	Q_LD = @echo '   ' LD $@;
	export Q_CC
	export Q_LD
endif
endif

# standard build tools
CC ?= gcc
RM ?= rm -f
INSTALL ?= install
MKDIR ?= mkdir -p
COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
LINK.o = $(Q_LD)$(CC) $(LDFLAGS) $(TARGET_ARCH)

# standard install paths
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man

# try to generate revision
REVISION= $(shell	if [ -d .git ]; then \
				echo $$(git describe --always --dirty --match "v*" |sed 's/^v//' 2> /dev/null || echo "[unknown]"); \
			fi)
ifneq ($(REVISION),)
CPPFLAGS += -DSOURCE_VERSION=\"$(REVISION)\"
endif

# default target
all: $(BINARY_NAME)

# standard build rules
.SUFFIXES: .o .c
.c.o:
	$(COMPILE.c) -o $@ $<

$(BINARY_NAME): $(OBJ)
	$(LINK.o) $^ $(LDLIBS) -o $@

clean:
	$(RM) $(BINARY_NAME) $(OBJ) $(DEP)

install: $(BINARY_NAME)
	$(MKDIR) $(DESTDIR)$(SBINDIR)
	$(MKDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m 0755 $(BINARY_NAME) $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 0644 $(MANPAGE) $(DESTDIR)$(MANDIR)/man8

# load dependencies
DEP = $(OBJ:.o=.d)
-include $(DEP)

.PHONY: all clean install

=== debian/changelog ===
batctl (2011.4.0-2) unstable; urgency=low

  * Upload to unstable for Linux 3.2
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Thu, 19 Jan 2012 10:39:27 +0100

batctl (2011.4.0-1) experimental; urgency=low

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2011 15:46:16 +0100

batctl (2011.3.0-3) unstable; urgency=low

  * Upload to unstable for Linux 3.1
  * Remove hardening-includes which are now integrated in dpkg-
    buildflags
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 24 Oct 2011 21:28:50 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/batctl.git
 Build-Depends:
  debhelper (>= 8.0.0),
- hardening-includes,
 
 Package: batctl
 Architecture: linux-any

## batctl 2012.0.0

=== debian/changelog ===
batctl (2012.0.0-2) unstable; urgency=low

  * Enable all hardening flags in debian/rules (Closes: #662962)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 07 Mar 2012 18:05:08 +0100

batctl (2012.0.0-1) unstable; urgency=low

  * New Upstream Version
  * Upgrade debhelper compat to v9

 -- Sven Eckelmann <sven@narfation.org>  Sun, 05 Feb 2012 15:32:42 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/batctl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/batctl.git
 Build-Depends:
- debhelper (>= 8.0.0),
+ debhelper (>= 9),
 
 Package: batctl
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
-export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
-export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
-export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
-
-include /usr/share/hardening-includes/hardening.make
-CFLAGS += $(HARDENING_CFLAGS)
-CXXFLAGS += $(HARDENING_CFLAGS)
-LDFLAGS += $(HARDENING_LDFLAGS)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 REVISION=$(shell dpkg-parsechangelog|grep '^Version: '|sed 's/^Version:\s*//')
 MAKEOPTIONS = V="1" REVISION="debian-$(REVISION)" PREFIX="/usr"

## batctl 2012.1.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #
-# Copyright (C) 2006-2011 B.A.T.M.A.N. contributors
+# Copyright (C) 2006-2012 B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public

=== debian/changelog ===
batctl (2012.1.0-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports, no change required

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 09 Apr 2012 22:07:12 -0400

batctl (2012.1.0-1) unstable; urgency=low

  * New Upstream Version
  * Upgraded to policy 3.9.3, no changes required
  * Let debhelper set the buildflags implicitly
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 30 Mar 2012 18:55:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Simon Wunderlich <siwu@hrz.tu-chemnitz.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
 Dm-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.open-mesh.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/batctl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/batctl.git
 Build-Depends:
  debhelper (>= 9),
+ dpkg-dev (>= 1.16.1.1),
 
 Package: batctl
 Architecture: linux-any

## batctl 2013.3.0

=== debian/changelog ===
batctl (2013.3.0-2) unstable; urgency=low

  * debian/patches:
    - Add strncat_bufferoverflow.patch, Fix possible buffer overflow when using
      strncat
    - Add gnu_source.patch, Fix inconsistent use of _GNU_SOURCE
    - Add const_assignment.patch, Avoid assigning const buffer to non-const
      pointer
    - Add static_functions.patch, Mark all local functions as static
    - Add include_guards.patch, Add include guards to avoid redundant
      declarations or include loops
    - Add legacy_types.patch, Remove legacy types u64 and caddr_t
    - Add includes.patch, Add missing includes and remove unused includes
    - Add cflags_linker.patch, Add CFLAGS to the linker step
    - Remove lto.patch, Replaced by cflags_linker.patch
    - Add nobatman_memleak.patch, Fix error handling jump in interface when
      batadv is not loaded
    - Add bisect_iv_neigh_add.patch, Fix type of new neighbor buffer in
      _seqno_trace_neigh_add
    - Add make_header_depends.patch, Don't fail rebuild when header is removed
    - Add hyphen_man.patch, Don't use hyphen for parameter in manpage
  * debian/rules:
    - Remove unused make option LTO=1
    - Add -flto to DEB_CFLAGS_MAINT_APPEND to replace lto.patch

 -- Sven Eckelmann <sven@narfation.org>  Tue, 10 Sep 2013 22:21:47 +0200

batctl (2013.3.0-1) unstable; urgency=low

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Wed, 24 Jul 2013 15:20:44 +0200

batctl (2013.2.0-2) unstable; urgency=low

  * Upload to unstable for Linux 3.10
  * debian/rules:
    - Enable link-time optimization
    - Enable garbage collection of sections
  * debian/patches:
    - Add lto.patch, Enable Link-time optimization for smaller binaries
  * debian/watch:
    - Verify new upstream versions using GPG key 96E5AF383F7C593B6B16

 -- Sven Eckelmann <sven@narfation.org>  Tue, 16 Jul 2013 12:13:16 +0200

batctl (2013.2.0-1) experimental; urgency=low

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sun, 21 Apr 2013 10:20:38 +0200

batctl (2013.1.0-2) unstable; urgency=low

  * Upload to unstable for Linux 3.8 and Linux 3.9

 -- Sven Eckelmann <sven@narfation.org>  Tue, 07 May 2013 07:56:00 +0200

batctl (2013.1.0-1) experimental; urgency=low

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Mon, 04 Mar 2013 10:00:49 +0100

batctl (2013.0.0-1) experimental; urgency=low

  * New Upstream Version
  * Remove obsolete DM-Upload-Allowed in debian/control
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Sun, 13 Jan 2013 01:43:29 +0100

batctl (2012.4.0-1) experimental; urgency=low

  * New Upstream Version
  * Upgraded to policy 3.9.4, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Mon, 29 Oct 2012 17:21:23 +0100

batctl (2012.3.0-1) experimental; urgency=low

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Sun, 19 Aug 2012 22:49:35 +0200

batctl (2012.2.0-1) experimental; urgency=low

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Wed, 13 Jun 2012 01:11:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: extra
 Maintainer: Simon Wunderlich <siwu@hrz.tu-chemnitz.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
-Dm-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.open-mesh.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/batctl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/batctl.git

## batctl 2013.4.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #
-# Copyright (C) 2006-2012 B.A.T.M.A.N. contributors
+# Copyright (C) 2006-2013 B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public
@@ -18,9 +18,14 @@
 # 02110-1301, USA
 #
 
+# changing the CONFIG_* line to 'y' enables the related feature
+# batctl advanced debugging tool bisect:
+export CONFIG_BATCTL_BISECT=n
+
 # batctl build
 BINARY_NAME = batctl
-OBJ = main.o bat-hosts.o functions.o sys.o debug.o ping.o traceroute.o tcpdump.o list-batman.o hash.o vis.o debugfs.o bisect.o
+OBJ = main.o bat-hosts.o functions.o sys.o debug.o ping.o traceroute.o tcpdump.o  hash.o vis.o debugfs.o ioctl.o list-batman.o translate.o
+OBJ_BISECT = bisect_iv.o
 MANPAGE = man/batctl.8
 
 # batctl flags and options
@@ -38,6 +43,11 @@
 endif
 
 # standard build tools
+ifeq ($(CONFIG_BATCTL_BISECT),y)
+OBJ += $(OBJ_BISECT)
+CPPFLAGS += -DBATCTL_BISECT
+endif
+
 CC ?= gcc
 RM ?= rm -f
 INSTALL ?= install
@@ -70,7 +80,7 @@
 	$(LINK.o) $^ $(LDLIBS) -o $@
 
 clean:
-	$(RM) $(BINARY_NAME) $(OBJ) $(DEP)
+	$(RM) $(BINARY_NAME) $(OBJ) $(OBJ_BISECT) $(DEP)
 
 install: $(BINARY_NAME)
 	$(MKDIR) $(DESTDIR)$(SBINDIR)
@@ -79,7 +89,7 @@
 	$(INSTALL) -m 0644 $(MANPAGE) $(DESTDIR)$(MANDIR)/man8
 
 # load dependencies
-DEP = $(OBJ:.o=.d)
+DEP = $(OBJ:.o=.d) $(OBJ_BISECT:.o=.d)
 -include $(DEP)
 
 .PHONY: all clean install

=== debian/changelog ===
batctl (2013.4.0-2) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * Add NEWS entry about upcoming vis_data+vis_mode command removal
  * debian/patches:
    - Add vis_removal_warning.patch, Warn about upcoming removal of vis
      functionality

 -- Sven Eckelmann <sven@narfation.org>  Sat, 16 Nov 2013 19:27:46 +0100

batctl (2013.4.0-1) unstable; urgency=low

  * New Upstream Version
  * Update e-mail address of Simon Wunderlich
  * debian/copyright:
    - Update e-mail address of Marek Lindner
  * debian/patches:
    - Add email_addresses.patch, Update author addresses
    - Remove upstream merged nobatman_memleak.patch, bisect_iv_neigh_add.patch,
      hyphen_man.patch
    - Add ip_resolver_cleanup.patch, Reduce IPv4 focus of mac resolve functions
    - Add ip_resolver_rtnl.patch, Replace /proc/net/arp based resolver with rtnl
    - Add ip_resolver_ipv6.patch, Add support for IPv6 to address resolver
    - Add ip_resolver_libnl.patch, Use libnl to implement mac resolver
  * debian/control:
    - Add libnl-3-dev and pkg-config as Build-Depends for mac resolve functions

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Oct 2013 20:00:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: batctl
 Section: net
 Priority: extra
-Maintainer: Simon Wunderlich <siwu@hrz.tu-chemnitz.de>
+Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.open-mesh.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/batctl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/batctl.git
 Build-Depends:
  debhelper (>= 9),
  dpkg-dev (>= 1.16.1.1),
+ libnl-3-dev,
+ pkg-config,
 
 Package: batctl
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fdata-sections -ffunction-sections -flto
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--gc-sections

REVISION=$(shell dpkg-parsechangelog|grep '^Version: '|sed 's/^Version:\s*//')
MAKEOPTIONS = V="1" REVISION="debian-$(REVISION)" PREFIX="/usr" CONFIG_BATCTL_BISECT=y
DBG_PACKAGE=$(shell dpkg-parsechangelog|grep '^Source: '|sed 's/^Source:\s*//')-dbg

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --parallel --list-missing

get-orig-source:
	$(CURDIR)/debian/get-orig-source.sh

override_dh_auto_build:
	dh_auto_build -- $(MAKEOPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(MAKEOPTIONS)

override_dh_strip:
	dh_strip -a --dbg-package="$(DBG_PACKAGE)"

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_build override_dh_auto_install override_dh_strip

=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta|rc)/~$1/,pgpsigurlmangle=s/$/.asc/" \
 http://downloads.open-mesh.org/batman/stable/sources/batctl/batctl-(.*).tar.gz

## batctl 2014.1.0

=== debian/changelog ===
batctl (2014.1.0-2) unstable; urgency=medium

  * Upload to unstable for Linux 3.14

 -- Sven Eckelmann <sven@narfation.org>  Sun, 18 May 2014 19:13:05 +0200

batctl (2014.1.0-1) experimental; urgency=medium

  * New Upstream Version
  * debian/patches:
    - Remove upstream merged patches ip_resolver_libnl.patch,
      rtnl_open_clash.patch and vlan_info_libnl.patch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 13 Mar 2014 22:04:21 +0100

batctl (2014.0.0-3) unstable; urgency=medium

  * debian/patches:
    - Add ip_header_parsing.patch, tcpdump - fix IP header parsing

 -- Sven Eckelmann <sven@narfation.org>  Sat, 05 Apr 2014 16:10:29 +0200

batctl (2014.0.0-2) unstable; urgency=medium

  * Upload to unstable for Linux 3.13
  * Update years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Feb 2014 07:05:04 +0100

batctl (2014.0.0-1) experimental; urgency=medium

  * New Upstream Version
  * Update copyright years in debian/copyright
  * debian/patches:
    - Remove upstream merged cflags_linker.patch, const_assignment.patch,
      email_addresses.patch, gnu_source.patch, include_guards.patch,
      includes.patch, ip_resolver_cleanup.patch, ip_resolver_ipv6.patch,
      ip_resolver_libnl.patch, legacy_types.patch, make_header_depends.patch,
      static_functions.patch, strncat_bufferoverflow.patch,
      vis_removal_warning.patch
    - Rebase ip_resolver_libnl.patch on top of 2014.0.0
    - Add rtnl_open_clash.patch, Avoid name clash "rtnl_open" with libnl
    - Add vlan_info_libnl.patch, Use libnl to implement vlan parent device
      resolver

 -- Sven Eckelmann <sven@narfation.org>  Mon, 06 Jan 2014 20:08:10 +0100

## batctl 2014.3.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #
-# Copyright (C) 2006-2013 B.A.T.M.A.N. contributors
+# Copyright (C) 2006-2014 B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public
@@ -24,12 +24,13 @@
 
 # batctl build
 BINARY_NAME = batctl
-OBJ = main.o bat-hosts.o functions.o sys.o debug.o ping.o traceroute.o tcpdump.o  hash.o vis.o debugfs.o ioctl.o list-batman.o translate.o
+OBJ = main.o bat-hosts.o functions.o sys.o debug.o ping.o traceroute.o tcpdump.o  hash.o debugfs.o ioctl.o list-batman.o translate.o
 OBJ_BISECT = bisect_iv.o
 MANPAGE = man/batctl.8
 
 # batctl flags and options
-CFLAGS += -pedantic -Wall -W -std=gnu99 -fno-strict-aliasing -MD
+CFLAGS += -Wall -W -std=gnu99 -fno-strict-aliasing -MD -MP
+CPPFLAGS += -D_GNU_SOURCE
 LDLIBS += -lm
 
 # disable verbose output
@@ -42,6 +43,24 @@
 endif
 endif
 
+ifeq ($(origin PKG_CONFIG), undefined)
+  PKG_CONFIG = pkg-config
+  ifeq ($(shell which $(PKG_CONFIG) 2>/dev/null),)
+    $(error $(PKG_CONFIG) not found)
+  endif
+endif
+
+ifeq ($(origin LIBNL_CFLAGS) $(origin LIBNL_LDLIBS), undefined undefined)
+  LIBNL_NAME ?= libnl-3.0
+  ifeq ($(shell $(PKG_CONFIG) --modversion $(LIBNL_NAME) 2>/dev/null),)
+    $(error No $(LIBNL_NAME) development libraries found!)
+  endif
+  LIBNL_CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBNL_NAME))
+  LIBNL_LDLIBS +=  $(shell $(PKG_CONFIG) --libs $(LIBNL_NAME))
+endif
+CFLAGS += $(LIBNL_CFLAGS)
+LDLIBS += $(LIBNL_LDLIBS)
+
 # standard build tools
 ifeq ($(CONFIG_BATCTL_BISECT),y)
 OBJ += $(OBJ_BISECT)
@@ -53,7 +72,7 @@
 INSTALL ?= install
 MKDIR ?= mkdir -p
 COMPILE.c = $(Q_CC)$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c
-LINK.o = $(Q_LD)$(CC) $(LDFLAGS) $(TARGET_ARCH)
+LINK.o = $(Q_LD)$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH)
 
 # standard install paths
 PREFIX = /usr/local

=== debian/changelog ===
batctl (2014.3.0-2) unstable; urgency=medium

  * Upload to unstable for Linux 3.16 (planned Jezzie kernel)

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 19:28:22 +0200

batctl (2014.3.0-1) experimental; urgency=medium

  * New Upstream Version
  * debian/patches
    - Add manpage-hyphen-used-as-minus-sign.patchm Fix hyphen used as minus
      sign in manpage
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Tue, 22 Jul 2014 23:52:52 +0200

batctl (2014.2.0-1) experimental; urgency=medium

  * New Upstream Version
  * debian/patches:
    - Remove upstream merged patch ip_header_parsing.patch

 -- Sven Eckelmann <sven@narfation.org>  Sun, 18 May 2014 19:23:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -fdata-sections -ffunction-sections -flto
+export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--gc-sections
 
 REVISION=$(shell dpkg-parsechangelog|grep '^Version: '|sed 's/^Version:\s*//')

## batctl 2015.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #
-# Copyright (C) 2006-2014 B.A.T.M.A.N. contributors
+# Copyright (C) 2006-2015  B.A.T.M.A.N. contributors
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of version 2 of the GNU General Public

=== debian/changelog ===
batctl (2015.1-1) unstable; urgency=medium

  * New Upstream Version

 -- Sven Eckelmann <sven@narfation.org>  Tue, 04 Aug 2015 18:48:58 +0200

batctl (2015.0-2) unstable; urgency=medium

  * Upload to unstable for Linux 3.16-4.1

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 May 2015 10:11:28 +0200

batctl (2015.0-1) experimental; urgency=medium

  * New Upstream Version
  * Update years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Tue, 28 Apr 2015 20:56:46 +0200

batctl (2014.4.0-1) experimental; urgency=medium

  * New Upstream Version
  * Upgraded to policy 3.9.6, no changes required
  * Update years in debian/copyright
  * debian/patches:
    - Remove upstream merged manpage-hyphen-used-as-minus-sign.patch

 -- Sven Eckelmann <sven@narfation.org>  Tue, 06 Jan 2015 09:21:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Simon Wunderlich <sw@simonwunderlich.de>
 Uploaders: Sven Eckelmann <sven@narfation.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.open-mesh.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/batctl.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/batctl.git
